mia-3ddistance(1)

NAME
mia-3ddistance - Evaluate the distance between two binary shapes.

SYNOPSIS
mia-3ddistance -i <in-file> -r <ref-file> -o <out-file> [options]

DESCRIPTION
mia-3ddistance This program takes two binary masks as input and evaluates the distance of one mask with respect to the other in voxel space. The output is given as text file with the coordinates of the source voxels and their distance to the reference mask. Correction for voxel size must be done after processing.

OPTIONS

  File IO

    -i --in-file=(input, required); string
        input image(s) that contain the source pixel mask

    -r --ref-file=(input, required); string
        reference mask to evaluate the distance from

    -o --out-file=(output, required); string
        output file name

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

  Test

    --self-test
        run a self test

EXAMPLE
Evaluate the distance of the mask given in the images srcXXXX.png to the mask given in refXXXX.png and save the result to distances.txt

mia-3ddistance -i srcXXXX.png -r refXXXX.png -o distances.txt

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.